import 'dart:async';

import 'package:flutter/services.dart';
import 'dart:convert';

class DqdPlugin {
  static const MethodChannel _channel = const MethodChannel('dqd_plugin');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String> requestData(String url, {dynamic header}) async {
    print("header data $header");
    print("\n\n");
    var str = json.encode(header);
    print("header data $str");
    final String data = await _channel
        .invokeMethod('getRequest', {"url": url, "header": str});
    return data;
  }
}
